<?php
include("include/config.php");
include("include/protect.class.php");
include("include/jdf.php");
include('include/functions.php');

$prot=new protect();
if ($prot->showPage) {
$db=new DB($globalConfig['dbase'], $globalConfig['dbhost'],$globalConfig['dbuser'], $globalConfig['dbpass']);
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>سیستم جامع مدیریت W200 </title>

<?php include("maintemplate/mainheader.php");?>
</head>
<body>
<div id="wpwrap">
<div id="wpcontent">
	<?php include("include/menutop.php");?> 
<div id="wpbody">
	<?php include("include/header.php");?>
    <div style="overflow:hidden;" id="wpbody-content">
        <div id="screen-meta">
            <div class="wrap">
                <div id="icon-index" class="icon32"><br></div>
                <h2> افزایش یا کاهش موجودی کاربر</h2>
                <div id="dashboard-widgets-wrap">
                    <div id="dashboard-widgets" class="metabox-holder">
                        <div class="postbox-container" style="width:100%;">
                            <div id="normal-sortables" class="meta-box-sortables ui-sortable"><div id="dashboard_recent_comments" class="postbox ">
                    <div class="handlediv" title="برای جانشینی کلیک کنید"><br></div><h3 class="hndle"><span>افزایش یا کاهش موجودی کاربر  </span></h3>


<?php        
	if(isset($_POST['Transfer'])){
		if(isset($_POST['Uname'])){
			if(isset($_POST['Amount'])){
				
				$user_ID = get_parent_id ($_POST['Uname']);
				if ($user_ID != 0) {
					$transfer_amount = (int)$_POST['Amount'];
					
					
					if($_POST['tKind']==1){
					increase_credit_amount($user_ID, $transfer_amount);
					$remain = get_credit_amount($user_ID);
					$db->execute("INSERT INTO transfers SET user_id = '".(int)$user_ID."',
																	tDescription = '".$_POST['tDescription']."',
																	tDate = now(),
																	tAmount = '" . $transfer_amount . "',
																	tRemain = '" . $remain . "',
																	tKind = '1'");
					
					echo '<div style="direction:rtl; padding:15px; border:1px dashed #F90; text-align:right; font-weight:bold; margin:15px; background-color:#FFC"> مبلغ '.$transfer_amount.' تومان با موفقيت به حساب '.$_POST['Uname'].' انتقال يافت.</div>';
					}elseif($_POST['tKind']==2){
						decrease_from_credit_amount($user_ID, $transfer_amount);
						$remain = get_credit_amount($user_ID);
						$db->execute("INSERT INTO transfers SET user_id = '".(int)$user_ID."',
																	tDescription = '".$_POST['tDescription']."',
																	tDate = now(),
																	tAmount = '" . $transfer_amount . "',
																	tRemain = '" . $remain . "',
																	tKind = '2'");
					
					echo '<div style="direction:rtl; padding:15px; border:1px dashed #F90; text-align:right; font-weight:bold; margin:15px; background-color:#FFC"> مبلغ '.$transfer_amount.' تومان با موفقيت از حساب '.$_POST['Uname'].' کم شد.</div>';
					}
				}else{
					echo '<div style="direction:rtl; padding:15px; border:1px dashed #F90; text-align:right; font-weight:bold; margin:15px; background-color:#FFC"> نام كاربری اشتباه است.</div>';
				}
				
			}else{
				echo '<div style="direction:rtl; padding:15px; border:1px dashed #F90; text-align:right; font-weight:bold; margin:15px; background-color:#FFC">مبلغ مورد نظر را انتخاب كنيد.</div>';
			}
		}else{
			echo '<div style="direction:rtl; padding:15px; border:1px dashed #F90; text-align:right; font-weight:bold; margin:15px; background-color:#FFC">نام كاربری مورد نظر را انتخاب كنيد.</div>';
		}
	}
?>



        <form id="formID" class="formular" method="post" action="transfer.php">
                <fieldset style=" border:#CCC dashed 1px" dir="rtl">
                	<legend> مبلغ مورد نظر و نام كاربری را انتخاب كنيد  </legend>
                    <div style="border-bottom:#CCC dashed 1px; padding-bottom:10px; direction:rtl">
                <p>
                <label> نام كاربری * </label>
                <input type="text" name="Uname" value="<?=$_GET['userName']?>" />
               </p>
               
                <p>
                <label> مبلغ تراكنش * </label>
                <input type="text" name="Amount" /> ریال
               </p>
               
				<p>
                <label> توضیحات * </label>
                <textarea name="tDescription" ></textarea>
               </p>
               
                <p>
                <label>نوع تراکنش * </label>
                افزایش : <input type="radio" name="tKind" value="1" checked="checked" />
                کاهش : <input type="radio" name="tKind" value="2" />
               </p>                  

                    </div>
                    <div style="direction:rtl" align="right">
        
				<input class="" type="submit" name="Transfer" value="انتقال"/>
                </div>
                </fieldset>
		</form>
                            </div>
                            </div>
                        </div>                        
                    </div>
                    <div class="clear"></div>
                </div><!-- dashboard-widgets-wrap -->
            </div><!-- wrap -->
			<div class="clear"></div></div><!-- wpbody-content -->
			<div class="clear"></div></div><!-- wpbody -->
			<div class="clear"></div></div><!-- wpcontent -->
        </div>
    </div><!-- wpcontent -->
</div><!-- wpwrap -->
<?php include("include/footer.php");?>
</div>
</div>
</body>
</html><?php } ?>